.navbar {
	height: $navbar-height;
	background: var(--navbar-bg);
	box-shadow: var(--shadow-sm);
	// border-bottom: 1px solid var(--border-color);
	padding: 0;

	.navbar-nav {
		// margin: auto 0;

		.dropdown-item {
			padding: 6px 8px !important;
		}

		.nav-link {
			padding: 0;
		}
	}

	.container {
		padding: 0rem 1rem;
	}

	.vertical-bar {
		border-right: 1px solid var(--dark-border-color);
		height: 24px;
		margin: auto;
		margin-left: var(--margin-md);
	}
	.nav-item {
		margin: auto;
		margin-left: var(--margin-md);
		@include get_textstyle("sm", "regular");
		// line-height: 1rem;
	}

	.navbar-brand.navbar-home:focus-visible img {
		outline: 2px solid currentColor;
	}
}

.navbar-home {
	img {
		max-height: 36px;
		width: auto;
	}
}

.search-bar {
	flex: 1;
	max-width: 300px;
	margin: 0 var(--margin-md);

	svg {
		stroke: var(--text-light);
	}

	.search-icon {
		position: absolute;
		margin-left: 12px;
		display: flex;
		align-items: center;
		height: 100%;
	}
	.awesomplete {
		width: 100%;
		--awesomebar-shadow: var(--shadow-2xl);
		input {
			width: 100% !important;
			padding-left: 36px;
			height: 32px;
			@include get_textstyle("sm", "regular");
		}
		input:focus {
			color: var(--text-color);
			border-bottom-left-radius: 0;
			border-bottom-right-radius: 0;
			box-shadow: var(--awesomebar-shadow);
			background-color: var(--awesomebar-focus-bg);
		}
		ul {
			border: none;
			border-top: 1px solid var(--border-color);
			border-radius: 0 0 var(--border-radius) var(--border-radius);
			box-shadow: var(--awesomebar-shadow);
		}
		input::placeholder {
			color: var(--text-light);
		}
	}
}

.navbar-light {
	border-bottom: 1px solid $border-color;
}

.navbar-brand {
	margin: 0px;
	img {
		display: inline-block;
		height: 32px;
		max-width: 150px;
		max-height: 32px;
	}
}

.navbar-cta {
	@include media-breakpoint-up(lg) {
		margin-left: 1rem;
	}
}

.navbar.bg-dark {
	.dropdown-menu {
		font-size: 0.75rem;
		background-color: $dark;
		border-radius: 0;
	}

	.nav-link {
		white-space: nowrap;
		color: $light;

		&:hover {
			color: $primary;
		}
	}

	.nav-item {
		padding: 0rem 1rem;
		@extend .my-auto;
	}

	.dropdown-item {
		color: $light;

		&:hover {
			background-color: $dark;
			color: $primary;
		}
	}
}

.navbar-light .navbar-nav .nav-link {
	color: $gray-700;
	font-size: $font-size-sm;
	font-weight: 500;

	&:hover,
	&:focus,
	&.active {
		color: $primary;
	}
}

.nav-link.nav-avatar {
	padding-top: 0px;
	padding-bottom: 0px;
}
